2019-08-21 07:11 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005831Spring engineGeneralpublic2017-11-08 00:16
Reporterabma 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target Version105.0Fixed in Version 
Summary0005831: spring-headless: VBO.cpp:203: GLubyte* VBO::MapBuffer(GLintptr, GLsizeiptr, GLbitfield): Assertion `ptr != nullptr' failed.
Descriptionspring-headless: ../../rts/Rendering/GL/VBO.cpp:203: GLubyte* VBO::MapBuffer(GLintptr, GLsizeiptr, GLbitfield): Assertion `ptr != nullptr' failed.
[CrashHandler] Error: Aborted (SIGABRT) in spring 104.0.1-327-gc5ff5a5 develop (Debug Signal-NaNs Headless)
[CrashHandler] Error: Halted Stacktrace for Spring 104.0.1-327-gc5ff5a5 develop (Debug Signal-NaNs Headless) using libunwind:
[CrashHandler] Error: [00] ./build/validation/../../rts/System/Platform/Linux/CrashHandler.cpp:833 CrashHandler::HaltedStacktrace(std::__cxx11::basic_string<char, std::char_traits<char>, std::a [...]
[CrashHandler] Error: [01] ./build/validation/../../rts/System/Platform/Linux/CrashHandler.cpp:939 CrashHandler::HandleSignal(int, siginfo_t*, void*)
[CrashHandler] Error: [02] /lib/x86_64-linux-gnu/libpthread.so.0(+0x11390) [0x7f366cace390] __restore_rt
[CrashHandler] Error: [03] /build/glibc-bfm8X4/glibc-2.23/signal/../sysdeps/unix/sysv/linux/raise.c:54 __GI_raise
[CrashHandler] Error: [04] /build/glibc-bfm8X4/glibc-2.23/stdlib/abort.c:91 __GI_abort
[CrashHandler] Error: [05] /build/glibc-bfm8X4/glibc-2.23/assert/assert.c:92 __assert_fail_base
[CrashHandler] Error: [06] /lib/x86_64-linux-gnu/libc.so.6(+0x2dc82) [0x7f366c720c82] __assert_fail
[CrashHandler] Error: [07] ./build/validation/../../rts/Rendering/GL/VBO.cpp:204 VBO::MapBuffer(long, long, unsigned int)
[CrashHandler] Error: [08] ./build/validation/../../rts/Rendering/GL/VBO.cpp:165 VBO::MapBuffer(unsigned int)
[CrashHandler] Error: [09] ./build/validation/../../rts/Rendering/GL/RenderDataBuffer.hpp:365 VA_TYPE_2dT* GL::RenderDataBuffer::MapBuffer<VA_TYPE_2dT>(VBO&, bool, bool)
[CrashHandler] Error: [10] ./build/validation/../../rts/Rendering/GL/RenderDataBuffer.hpp:343 VA_TYPE_2dT* GL::RenderDataBuffer::MapElems<VA_TYPE_2dT>(bool, bool)
[CrashHandler] Error: [11] ./build/validation/../../rts/Rendering/GL/RenderDataBuffer.hpp:420 void GL::TRenderDataBuffer<VA_TYPE_0>::Setup<std::array<Shader::ShaderInput, 1ul> >(GL::Render [...]
[CrashHandler] Error: [12] ./build/validation/../../rts/Rendering/GL/RenderDataBuffer.cpp:68 GL::InitRenderBuffers()
[CrashHandler] Error: [13] ./build/validation/../../rts/Rendering/GlobalRendering.cpp:541 CGlobalRendering::PostInit()
[CrashHandler] Error: [14] ./build/validation/../../rts/System/SpringApp.cpp:234 SpringApp::Init()
[CrashHandler] Error: [15] ./build/validation/../../rts/System/SpringApp.cpp:793 SpringApp::Run()
[CrashHandler] Error: [16] ./build/validation/../../rts/System/Main.cpp:43 Run(int, char**)
[CrashHandler] Error: [17] ./build/validation/../../rts/System/Main.cpp:93 main
[CrashHandler] Error: [18] /build/glibc-bfm8X4/glibc-2.23/csu/../csu/libc-start.c:325 __libc_start_main
[CrashHandler] Error: [19] .../spring-headless(_start+0x29) [0x620e79] ??
Additional Informationhttp://buildbot.springrts.com/builders/validationtests/builds/5534/steps/validation%20test_1/logs/stdio
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018627

Kloot (developer)

Fix f9cae9db5f406e49a9314f2794bfd1a5f2746247 committed to develop branch: fix 0005831, repo: spring changeset id: 9227
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2017-11-07 22:23 abma New Issue
2017-11-08 00:16 Kloot Changeset attached => spring develop f9cae9db
2017-11-08 00:16 Kloot Note Added: 0018627
2017-11-08 00:16 Kloot Assigned To => Kloot
2017-11-08 00:16 Kloot Status new => resolved
2017-11-08 00:16 Kloot Resolution open => fixed
+Issue History